import type { ApiBridge } from './ApiBridge';
import type { AppActivationBridge } from './AppActivationBridge';
import type { AppDetailChangesBridge } from './AppDetailChangesBridge';
import type { CloudWorkspaceBridge } from './CloudWorkspaceBridge';
import type { CommandBridge } from './CommandBridge';
import type { EmailBridge } from './EmailBridge';
import type { EnvironmentalVariableBridge } from './EnvironmentalVariableBridge';
import type { HttpBridge } from './HttpBridge';
import type { IInternalBridge } from './IInternalBridge';
import type { IInternalFederationBridge } from './IInternalFederationBridge';
import type { IListenerBridge } from './IListenerBridge';
import type { LivechatBridge } from './LivechatBridge';
import type { MessageBridge } from './MessageBridge';
import type { ModerationBridge } from './ModerationBridge';
import type { OAuthAppsBridge } from './OAuthAppsBridge';
import type { PersistenceBridge } from './PersistenceBridge';
import type { RoleBridge } from './RoleBridge';
import type { RoomBridge } from './RoomBridge';
import type { SchedulerBridge } from './SchedulerBridge';
import type { ServerSettingBridge } from './ServerSettingBridge';
import type { ThreadBridge } from './ThreadBridge';
import type { UiInteractionBridge } from './UiInteractionBridge';
import type { UploadBridge } from './UploadBridge';
import type { UserBridge } from './UserBridge';
import type { VideoConferenceBridge } from './VideoConferenceBridge';
export type Bridge = CommandBridge | ApiBridge | AppDetailChangesBridge | EnvironmentalVariableBridge | HttpBridge | IListenerBridge | LivechatBridge | MessageBridge | PersistenceBridge | AppActivationBridge | RoomBridge | IInternalBridge | ServerSettingBridge | EmailBridge | UploadBridge | UserBridge | UiInteractionBridge | SchedulerBridge | VideoConferenceBridge | OAuthAppsBridge | ModerationBridge | RoleBridge;
export declare abstract class AppBridges {
    abstract getCommandBridge(): CommandBridge;
    abstract getApiBridge(): ApiBridge;
    abstract getAppDetailChangesBridge(): AppDetailChangesBridge;
    abstract getEnvironmentalVariableBridge(): EnvironmentalVariableBridge;
    abstract getHttpBridge(): HttpBridge;
    abstract getListenerBridge(): IListenerBridge;
    abstract getLivechatBridge(): LivechatBridge;
    abstract getMessageBridge(): MessageBridge;
    abstract getPersistenceBridge(): PersistenceBridge;
    abstract getAppActivationBridge(): AppActivationBridge;
    abstract getRoomBridge(): RoomBridge;
    abstract getInternalBridge(): IInternalBridge;
    abstract getInternalFederationBridge(): IInternalFederationBridge;
    abstract getServerSettingBridge(): ServerSettingBridge;
    abstract getUploadBridge(): UploadBridge;
    abstract getEmailBridge(): EmailBridge;
    abstract getUserBridge(): UserBridge;
    abstract getUiInteractionBridge(): UiInteractionBridge;
    abstract getSchedulerBridge(): SchedulerBridge;
    abstract getCloudWorkspaceBridge(): CloudWorkspaceBridge;
    abstract getVideoConferenceBridge(): VideoConferenceBridge;
    abstract getOAuthAppsBridge(): OAuthAppsBridge;
    abstract getModerationBridge(): ModerationBridge;
    abstract getThreadBridge(): ThreadBridge;
    abstract getRoleBridge(): RoleBridge;
}
